Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991835 - gnome-settings-daemon-3.8.4-2.el7 crashes on starting of gnome-session
Summary: gnome-settings-daemon-3.8.4-2.el7 crashes on starting of gnome-session
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-settings-daemon
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Rui Matos
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-04 20:44 UTC by Matěj Cepl
Modified: 2017-07-03 15:04 UTC (History)
4 users (show)

Fixed In Version: gnome-settings-daemon-3.8.4-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 11:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
backtrace (deleted)
2013-08-04 20:44 UTC, Matěj Cepl
no flags Details
backtrace (deleted)
2013-08-04 20:45 UTC, Matěj Cepl
no flags Details
Comment (deleted)
2013-08-22 21:01 UTC, Ray Strode [halfline]
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 706620 None None None 2019-01-24 18:12:25 UTC

Description Matěj Cepl 2013-08-04 20:44:48 UTC
Created attachment 782586 [details]
backtrace

Description of problem:
Whenever I login to Gnome, I get "Whoops, something happened" screen. After analyzing journalctl (and looking at my $HOME) I found two coredumps from gnome-settings-daemon (see attached). When downgrading g-s-d to gnome-settings-daemon-3.8.4-1.el7 everything works.

Version-Release number of selected component (if applicable):
gnome-settings-daemon-3.8.4-2.el7

How reproducible:
100%

Steps to Reproduce:
1.login to Gnome
2.
3.

Actual results:
"Whoops, something happened" screen, restart of gnome-session (and everything repeats endlessly).

Expected results:
Working gnome session

Additional info:

Comment 1 Matěj Cepl 2013-08-04 20:45:45 UTC
Created attachment 782587 [details]
backtrace

Comment 3 Ray Strode [halfline] 2013-08-22 13:32:25 UTC
looking into it.

Comment 4 Ray Strode [halfline] 2013-08-22 14:15:12 UTC
can you attach your /root/anaconda-ks.cfg file and the output of rpm -qa?

can you run

 valgrind /usr/libexec/gnome-settings-daemon --replace --debug >& valgrind-and-debug.log

and then attach that?

Comment 5 Ray Strode [halfline] 2013-08-22 21:01:11 UTC
Created attachment 915751 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 6 Ray Strode [halfline] 2013-08-22 21:42:10 UTC
hmm for some reason it's trying to load the softoken (see Activating driver 'NSS Internal Crypto Services') which doesn't have a dllName associated with it.  It shouldn't be trying to use that, so I need to figure out why it's tryin in the first place.

Comment 7 Matěj Cepl 2013-09-11 19:07:50 UTC
I don't think I should have needinfo here.

Comment 8 Bastien Nocera 2013-09-19 10:22:39 UTC
Bug in the smartcard support it seems, so reassigning to Ray.

Comment 9 Ray Strode [halfline] 2013-11-07 20:26:03 UTC
fixed this a while ago.

Comment 13 Matěj Cepl 2014-03-05 13:03:21 UTC
I haven't seen this for a long long time.

Comment 14 Ludek Smid 2014-06-13 11:05:15 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.